using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;

namespace Sample_ShapeControl
{
    /// <summary>
    /// Summary description for SectionReport1.
    /// </summary>
    public partial class SectionReport1 : GrapeCity.ActiveReports.SectionReport
    {
        
        public SectionReport1()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
        }

        private void detail_BeforePrint(object sender, EventArgs e)
        {
            
            GrapeCity.ActiveReports.SectionReportModel.Detail d = default(GrapeCity.ActiveReports.SectionReportModel.Detail);

            d = this.detail;

            int i = 0;
            float h = 0;

            for (i = 0; i <= d.Controls.Count - 1; i++)
            {
                GrapeCity.ActiveReports.SectionReportModel.ARControl ctrl = d.Controls[i];

                if (ctrl is GrapeCity.ActiveReports.SectionReportModel.TextBox)
                {

                    if (ctrl.Height > h)
                    {
                        h = ctrl.Height;

                    }

                }

            }

            this.shape1.Height = h + 0.1f;
        
        }
    }
}
